<?php
/**
 * Common Template - tpl_main_page.php
 *
 * Governs the overall layout of an entire page<br />
 * Normally consisting of a header, left side column. center column. right side column and footer<br />
 * For customizing, this file can be copied to /templates/your_template_dir/pagename<br />
 * example: to override the privacy page<br />
 * - make a directory /templates/my_template/privacy<br />
 * - copy /templates/templates_defaults/common/tpl_main_page.php to /templates/my_template/privacy/tpl_main_page.php<br />
 * <br />
 * to override the global settings and turn off columns un-comment the lines below for the correct column to turn off<br />
 * to turn off the header and/or footer uncomment the lines below<br />
 * Note: header can be disabled in the tpl_header.php<br />
 * Note: footer can be disabled in the tpl_footer.php<br />
 * <br />
 * $flag_disable_header = true;<br />
 * $flag_disable_left = true;<br />
 * $flag_disable_right = true;<br />
 * $flag_disable_footer = true;<br />
 * <br />
 * // example to not display right column on main page when Always Show Categories is OFF<br />
 * <br />
 * if ($current_page_base == 'index' and $cPath == '') {<br />
 *  $flag_disable_right = true;<br />
 * }<br />
 * <br />
 * example to not display right column on main page when Always Show Categories is ON and set to categories_id 3<br />
 * <br />
 * if ($current_page_base == 'index' and $cPath == '' or $cPath == '3') {<br />
 *  $flag_disable_right = true;<br />
 * }<br />
 *
 * @package templateSystem
 * @copyright Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: tpl_main_page.php 4886 2006-11-05 09:01:18Z drbyte $
 */

// the following IF statement can be duplicated/modified as needed to set additional flags
  if (in_array($current_page_base,explode(",",'list_pages_to_skip_all_right_sideboxes_on_here,separated_by_commas,and_no_spaces')) ) {
    $flag_disable_right = true;
  }


  $header_template = 'tpl_header.php';
  $footer_template = 'tpl_footer.php';
  $left_column_file = 'column_left.php';
  $right_column_file = 'column_right.php';
  $body_id = ($this_is_main_page) ? 'indexHome' : str_replace('_', '', $_GET['main_page']);
?>
<body id="<?php echo $body_id . 'Body'; ?>"<?php if($zv_onload !='') echo ' onload="'.$zv_onload.'"'; ?>>

<?php
  if (SHOW_BANNERS_GROUP_SET1 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET1)) {
    if ($banner->RecordCount() > 0) {
?>

<div id="bannerOne" class="banners"><?php echo zen_display_banner('static', $banner); ?></div>
<?php
    }
  }
?>

<div id="mainWrapper">

<?php /*  BORDER_TOP  */ ?>

    
<?php /*  BORDER_TOP_END  */ ?>



<?php
 /* ----- prepares and displays header output ----- */
  require($template->get_template_dir('tpl_header.php',DIR_WS_TEMPLATE, $current_page_base,'common'). '/tpl_header.php');
?>
  
  
<div class="content_bg">
	<div class="main">
<table  border="0" cellspacing="0" cellpadding="0" width="100%" id="contentMainWrapper">
	<tr>
  
 

		<?php
			if (COLUMN_LEFT_STATUS == 0 or (CUSTOMERS_APPROVAL == '1' and $_SESSION['customer_id'] == '')) {
			  // global disable of column_left
			  $flag_disable_left = true;
			}
			if (!isset($flag_disable_left) || !$flag_disable_left) {
		?>
        
            <td id="navColumnOne" style="width:<?php echo COLUMN_WIDTH_LEFT; ?>;">
				<div style="width:<?php echo COLUMN_WIDTH_LEFT; ?>;">
					<?php
                     /* ----- prepares and displays left column sideboxes ----- */
                    ?>
                    <?php require(DIR_WS_MODULES . zen_get_module_directory('column_left.php')); ?>
                </div>
            </td>
            
            <td style="width:25px;"><?php echo zen_draw_separator($image = 'pixel_trans.gif', '25', '1');?></td>
		<?php
			}
        ?>		


            <td valign="top">
            	<div class="banner_set3">
                    <!-- bof BANNERS GROUPSET 3 -->
						<?php
                          if (SHOW_BANNERS_GROUP_SET3 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET3)) {
                            if ($banner->RecordCount() > 0) {
                        ?>
                        <div id="bannerThree" class="banners"><?php echo zen_display_banner('static', $banner); ?></div>
                        <?php
                            }
                          }
                        ?>
                    <!-- eof BANNERS GROUPSET 3 -->
                </div>
                <table border="0" cellspacing="0" cellpadding="0" width="100%">
                	<tr>
                        <td valign="top">
                        	<div class="spacer"><?php echo zen_draw_separator($image = 'pixel_trans.gif', '1', '18');?></div>
                            <!--content_center-->
                            
                                <!-- bof breadcrumb -->
                                <?php if (DEFINE_BREADCRUMB_STATUS == '1' || (DEFINE_BREADCRUMB_STATUS == '2' && !$this_is_home_page) ) { ?>
                                    <div id="navBreadCrumb"><?php echo $breadcrumb->trail(BREAD_CRUMBS_SEPARATOR); ?></div>
                                <?php } ?>
                                <!-- eof breadcrumb -->
                                
                                
            
                                <!-- bof upload alerts -->
                                <?php if ($messageStack->size('upload') > 0) echo $messageStack->output('upload'); ?>
                                <!-- eof upload alerts -->
            
                                <?php
                                 /* ----- prepares and displays center column ----- */
                                 require($body_code); ?>
                                
                                <!-- bof BANNERS GROUPSET 4 -->
                                <?php
                                  if (SHOW_BANNERS_GROUP_SET4 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET4)) {
                                    if ($banner->RecordCount() > 0) {
                                ?>
                                <div id="bannerFour" class="banners"><?php echo zen_display_banner('static', $banner); ?></div>
                                <?php
                                    }
                                  }
                                ?>
                                <!-- eof BANNERS GROUPSET 4 -->
                                
                                <br style="line-height:1px;" />
                                <br style="line-height:15px;" />
                                
                            <!--eof content_center-->
                        </td>
                    
                    
                    
                    
                    <?php
                    if (COLUMN_RIGHT_STATUS == 0 or (CUSTOMERS_APPROVAL == '1' and $_SESSION['customer_id'] == '')) {
                      // global disable of column_right
                      $flag_disable_right = true;
                    }
                    if (!isset($flag_disable_right) || !$flag_disable_right) {
                    ?>
                    
                        <td style="width:25px;"><?php echo zen_draw_separator($image = 'pixel_trans.gif', '25', '1');?></td>
                    
                        <td id="navColumnTwo" class="side_bar_right" style="width: <?php echo COLUMN_WIDTH_RIGHT; ?>">
            
                            <div style="width:<?php echo COLUMN_WIDTH_RIGHT; ?>;">
                                <?php
                                 /* ----- prepares and displays right column sideboxes ----- */
                                ?>
                                <?php require(DIR_WS_MODULES . zen_get_module_directory('column_right.php')); ?>
                            </div>
            
                        </td>
            
                    <?php
                    }
                    ?>
                    </tr>
                </table>
            </td>
	
    </tr>
</table>	
    </div>
</div>

<?php 
 /* ----- prepares and displays footer output ----- */
  require($template->get_template_dir('tpl_footer.php',DIR_WS_TEMPLATE, $current_page_base,'common'). '/tpl_footer.php');
?>
  
  
  
  
  
<?php /*  BORDER_BOTTOM  */ ?>

<?php /*  BORDER_BOTTOM_END  */ ?>
  
  
  
  
</div>





<!--bof- parse time display -->
<?php
  if (DISPLAY_PAGE_PARSE_TIME == 'true') {
?>
<div class="smallText center">Parse Time: <?php echo $parse_time; ?> - Number of Queries: <?php echo $db->queryCount(); ?> - Query Time: <?php echo $db->queryTime(); ?></div>
<?php
  }
?>
<!--eof- parse time display -->
<!--bof- banner #6 display -->
<?php
  if (SHOW_BANNERS_GROUP_SET6 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET6)) {
    if ($banner->RecordCount() > 0) {
?>
<div id="bannerSix" class="banners"><?php echo zen_display_banner('static', $banner); ?></div>
<?php
    }
  }
?>
<!--eof- banner #6 display -->
</body>